From 3e04442e3f283829ed38e4a2b435fd182addf87a Mon Sep 17 00:00:00 2001
From: Denis Laxalde <denis.laxalde@dalibo.com>
Date: Wed, 6 Mar 2024 14:55:40 +0100
Subject: [PATCH] fixup! libpq: Add encrypted and non-blocking versions of
 PQcancel

---
 doc/src/sgml/libpq.sgml          | 2 +-
 src/interfaces/libpq/fe-cancel.c | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/doc/src/sgml/libpq.sgml b/doc/src/sgml/libpq.sgml
index 1613fcc7bb..1281cac284 100644
--- a/doc/src/sgml/libpq.sgml
+++ b/doc/src/sgml/libpq.sgml
@@ -6122,7 +6122,7 @@ PostgresPollingStatusType PQcancelPoll(PGcancelConn *cancelConn);
       <para>
        The request is made over the given <structname>PGcancelConn</structname>,
        which needs to be created with <xref linkend="libpq-PQcancelConn"/>.
-       The return value of <xref linkend="libpq-PQcancelBlocking"/>
+       The return value of <xref linkend="libpq-PQcancelStart"/>
        is 1 if the cancellation request could be started and 0 if not.
        If it was unsuccessful, the error message can be
        retrieved using <xref linkend="libpq-PQcancelErrorMessage"/>.
diff --git a/src/interfaces/libpq/fe-cancel.c b/src/interfaces/libpq/fe-cancel.c
index e66b8819ee..9c9a23bb4d 100644
--- a/src/interfaces/libpq/fe-cancel.c
+++ b/src/interfaces/libpq/fe-cancel.c
@@ -146,7 +146,7 @@ PQcancelBlocking(PGcancelConn *cancelConn)
 /*
  *		PQcancelStart
  *
- * Starts sending a cancellation request in a blocking fashion. Returns
+ * Starts sending a cancellation request in a non-blocking fashion. Returns
  * 1 if successful 0 if not.
  */
 int
-- 
2.39.2

